package com.ai.da.python.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PrintToPython {
    private DesignPythonItemPrint single;
    private DesignPythonItemPrint overall;
    private DesignPythonItemElement element;
    private String partial;

    public PrintToPython(DesignPythonItemPrint overall) {
        this.overall = new DesignPythonItemPrint(overall.getPrint_path_list(),Boolean.TRUE);
        single = new DesignPythonItemPrint();
        element = new DesignPythonItemElement();
    }
}
